Update Binder Section
Update a section in a binder.
PUT
/api/{version}/objects/binders/{binder_id}/sections/{node_id}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{node_id} | The binder node id of the section. |
Body Parameters
Section link for Body ParametersConfigure one or more of the following fields with values. These are all optional.
| Field Name | Description |
|---|---|
name__v | Change the name of the binder section. |
section_number__v | Update the section number value. |
order__v | [Optional] Enter a number reflecting the position of the section within the binder or parent section. Negative order values appear first. For example, an order value of -100 appears before an order value of 0. |
parent_id__v | To move the section to a different section in the binder, include the value of the parent node where it will be moved. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name__v=VeevaProm Additional Information" \
-d "section_number__v=3" \
-d "parent_id__v=rootNode" \
-d "order__v=4" \
https://myvault.veevavault.com/api/v19.2/objects/binders/566/sections/1427232809771:1381853041Response
Section link for Response{
"responseStatus": "SUCCESS",
"id": "1427486900128:1467568099"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the Node ID of the newly created section. This is unique within the binder, regardless of level.